classification
Title: Remove deprecated features from http.cookies
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: demian.brecht, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2017-01-07 11:12 by serhiy.storchaka, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
cookies_finish_deprecation.patch serhiy.storchaka, 2017-01-07 11:12 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (2)
msg284905 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-01-07 11:12
Some behavior of http.cookies was deprecated in 3.5. Following patch finishes the deprecation period and removes the code for handling deprecated features. Former warnings become errors.
msg285364 - (view) Author: Roundup Robot (python-dev) Date: 2017-01-13 07:23
New changeset 7bd9ec6e5da4 by Serhiy Storchaka in branch 'default':
Issue #29192: Removed deprecated features in the http.cookies module.
https://hg.python.org/cpython/rev/7bd9ec6e5da4
History
Date User Action Args
2017-03-31 16:36:07dstufftsetpull_requests: + pull_request831
2017-01-13 07:23:58serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-01-13 07:23:30python-devsetnosy: + python-dev
messages: + msg285364
2017-01-13 07:19:24serhiy.storchakasetassignee: serhiy.storchaka
2017-01-07 11:12:07serhiy.storchakacreate